Skip to main content
GET
List Workspace Users

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

User ID

first_name
string
required

User's first name

last_name
string
required

User's last name

email
string
required

User's email address

role
enum<string>
required

User's workspace role

Available options:
owner,
member,
member_limited,
full_access,
editor,
commenter,
downloader,
viewer,
no_access
actions
integer
required

Permission bitmap derived from role

avatar_url
string | null

User's avatar URL

external_id
string | null

External user ID from auth provider (None for stub users)

explicit_permission_count
integer | null

Count of explicit project permissions in the workspace

accessible_project_count
integer | null

Count of accessible projects (MEMBER users only)